/*******************************************************************************
* Copyright Reticular Systems Inc. 1997    All rights reserved.
* Proprietary Information, Property of Reticular Systems Inc.
* Filename : PriceQuote.java
*
* RCS: $Revision: 1.1.1.1 $  $Date: 1998/04/10 23:49:02 $  $Author: donohoe $ 
* Created by: Jim Donohoe -- Mon Jan 26 09:52:10 1998
*******************************************************************************/

package com.reticular.agents.buyerSeller;

import java.io.*;

/*******************************************************************************
* Description :  
* 
* 
* @author Jim Donohoe
*******************************************************************************/
public class PriceQuote implements Serializable, Cloneable
{ 

//PUBLIC DATA

//PRIVATE DATA
   private String _productName;
   private String _unitName;
   private int _quantity;
   private float _price;
   private String _storeName;

//********************************PUBLIC METHODS********************************


/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  PriceQuote( String productName, int quantity, String unitName )
   {
      _productName = productName;
      _quantity = quantity;
      _unitName = unitName;
      _price = (float) 0;
      _storeName = "";
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  PriceQuote( String productName, float price )
   {
      _productName = productName;
      _quantity = 0;
      _unitName = "";
      _price = price;
      _storeName = "";
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  PriceQuote( String productName, int quantity,  String unitName,
                       float price, String storeName )
   {
      _productName = productName;
      _quantity = quantity;
      _unitName = unitName;
      _price = price;
      _storeName = storeName;
   }


   /**
  * Description : 
  * 
  *   
  * @param 
  * @return   
  * @exception 
  * @author Jim Donohoe
  */
   public  PriceQuote( String productName, float price,
                       String storeName )
   {
      _productName = productName;
      _quantity = 0;
      _price = price;
      _storeName = storeName;
   }   


/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getProductName( )
   {
      return _productName;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setProductName( String productName )
   {
      _productName = productName;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getUnitName( )
   {
      return _unitName;
   }

   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setUnitName( String unitName )
   {
      _unitName = unitName;
   }   


/**
  * Description : 
  * 
  *   
  * @param 
  * @return int  
  * @exception 
  * @author Jim Donohoe
  */
   public int getQuantity( )
   {
      return _quantity;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setQuantity( int quantity )
   {
      _quantity = quantity;
   }
   

/**
  * Description : 
  * 
  *   
  * @param 
  * @return float   
  * @exception 
  * @author Jim Donohoe
  */
   public float getPrice( )
   {
      return _price;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setPrice( float price )
   {
      _price = price;
   }



/**
  * Description : 
  * 
  *   
  * @param 
  * @return String  
  * @exception 
  * @author Jim Donohoe
  */
   public String getStoreName( )
   {
      return _storeName;
   }

/**
  * Description : 
  * 
  *   
  * @param 
  * @return void  
  * @exception 
  * @author Jim Donohoe
  */
   public void setStoreName( String storeName )
   {
      _storeName = storeName;
   }


/**
  * Description : 
  * 
  *   
  * @param 
  * @return String
  * @author Jim Donohoe
  */
   public String toString( )
   {
      return "{Product Name = " + _productName + ", Quantity = " +
         Integer.toString( _quantity ) +
         " " + _unitName + ", Price = " + Float.toString( _price )
         + ", Store Name = " + _storeName + "}";
      
   }


   
/**
  * Description : 
  * 
  *   
  * @param 
  * @return Object  
  * @exception 
  * @author Jim Donohoe
  */
   public Object clone( )
   {
      return new PriceQuote( _productName,  _quantity, _unitName,
                             _price, _storeName );
   }

   
//********************************PRIVATE METHODS*******************************

}

/*******************************************************************************
 End of : PriceQuote.java
*******************************************************************************/
